Go Back   HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials > ISPConfig 3 > Installation/Configuration

Do you like HowtoForge? Please consider supporting us by becoming a subscriber.
Reply
 
Thread Tools Display Modes
  #1  
Old 22nd November 2010, 04:25
Nolan Nolan is offline
Member
 
Join Date: Nov 2010
Posts: 81
Thanks: 2
Thanked 5 Times in 4 Posts
Question Configuration of server for ISPConfig 3

Hi, When I try to do install the stuff, it's giving me errors... all I did was copy and paste from the perfect server setup..

Here's what it's telling me (Warning, it's a lot):

Code:
wnolfm:~# lsb_release -a
No LSB modules are available.
Distributor ID: Debian
Description:    Debian GNU/Linux 5.0.4 (lenny)
Release:        5.0.4
Codename:       lenny
wnolfm:~# apt-get install postfix postfix-mysql postfix-doc mysql-client mysql-s
erver courier-authdaemon courier-authlib-mysql courier-pop courier-pop-ssl couri
er-imap courier-imap-ssl libsasl2-2 libsasl2-modules libsasl2-modules-sql sasl2-
bin libpam-mysql openssl courier-maildrop getmail4 rkhunter binutils sudo
Reading package lists... Done
Building dependency tree... Done
Package postfix is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package postfix has no installation candidate
wnolfm:~# apt-get install postfix-mysql postfix-doc mysql-client mysql-server co
urier-authdaemon courier-authlib-mysql courier-pop courier-pop-ssl courier-imap
courier-imap-ssl libsasl2-2 libsasl2-modules libsasl2-modules-sql sasl2-bin libp
am-mysql openssl courier-maildrop getmail4 rkhunter binutils sudo
Reading package lists... Done
Building dependency tree... Done
E: Couldn't find package postfix-mysql
wnolfm:~# apt-get install postfix
Reading package lists... Done
Building dependency tree... Done
Package postfix is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package postfix has no installation candidate
wnolfm:~# apt-get install mysql-client mysql-server courier-authdaemon courier-a
uthlib-mysql courier-pop courier-pop-ssl courier-imap courier-imap-ssl libsasl2-
2 libsasl2-modules libsasl2-modules-sql sasl2-bin libpam-mysql openssl courier-m
aildrop getmail4 rkhunter binutils sudo
Reading package lists... Done
Building dependency tree... Done
Package mysql-client is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package mysql-client has no installation candidate
wnolfm:~# apt-get install mysql-server courier-authdaemon courier-authlib-mysql
courier-pop courier-pop-ssl courier-imap courier-imap-ssl libsasl2-2 libsasl2-mo
dules libsasl2-modules-sql sasl2-bin libpam-mysql openssl courier-maildrop getma
il4 rkhunter binutils sudo
Reading package lists... Done
Building dependency tree... Done
E: Couldn't find package mysql-server
wnolfm:~# cd ispconfig3_install/install/
-bash: cd: ispconfig3_install/install/: No such file or directory
wnolfm:~# cd /tmp
wnolfm:/tmp# cd ispconfig3_install/install/
wnolfm:/tmp/ispconfig3_install/install# php -q install.php
-bash: php: command not found
wnolfm:/tmp/ispconfig3_install/install# cd
wnolfm:~# apt-get install amavisd-new spamassassin clamav clamav-daemon zoo unzi
p bzip2 arj nomarch lzop cabextract apt-listchanges libnet-ldap-perl libauthen-s
asl-perl clamav-docs daemon libio-string-perl libio-socket-ssl-perl libnet-ident
-perl zip libnet-dns-perl
Reading package lists... Done
Building dependency tree... Done
Package amavisd-new is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package amavisd-new has no installation candidate
wnolfm:~# apt-get install apache2 apache2.2-common apache2-doc apache2-mpm-prefo
rk apache2-utils libexpat1 ssl-cert libapache2-mod-php5 php5 php5-common php5-gd
 php5-mysql php5-imap phpmyadmin php5-cli php5-cgi libapache2-mod-fcgid apache2-
suexec php-pear php-auth php5-mcrypt mcrypt php5-imagick imagemagick libapache2-
mod-suphp libapache2-mod-ruby
Reading package lists... Done
Building dependency tree... Done
apache2 is already the newest version.
apache2.2-common is already the newest version.
apache2-doc is already the newest version.
apache2-mpm-prefork is already the newest version.
apache2-utils is already the newest version.
libexpat1 is already the newest version.
ssl-cert is already the newest version.
Package libapache2-mod-php5 is not available, but is referred to by another pack
age.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package libapache2-mod-php5 has no installation candidate
wnolfm:~# apt-get install pure-ftpd-common pure-ftpd-mysql quota quotatool
Reading package lists... Done
Building dependency tree... Done
E: Couldn't find package pure-ftpd-common
wnolfm:~# apt-get install vim-nox
Reading package lists... Done
Building dependency tree... Done
Package vim-nox is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package vim-nox has no installation candidate
wnolfm:~# apt-get install vim-nox
Reading package lists... Done
Building dependency tree... Done
Package vim-nox is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source
E: Package vim-nox has no installation candidate
wnolfm:~#
Any ideas why it's doing that?
Reply With Quote
Sponsored Links
  #2  
Old 22nd November 2010, 04:56
Nolan Nolan is offline
Member
 
Join Date: Nov 2010
Posts: 81
Thanks: 2
Thanked 5 Times in 4 Posts
 
Default

never mind... I'm an idiot.

Don't forget to run apt-get update and apt-get upgrade
Reply With Quote
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
User unknown in relay recipient table Taxick Installation/Configuration 12 9th April 2013 12:31
Virtual Users And Domains With Postfix, Courier, MySQL And SquirrelMail -Ubuntu 8.04 c4rdinal HOWTO-Related Questions 112 23rd August 2011 10:49
The system is currently updating the configuration files. warlock General 8 21st February 2009 18:15
What can be wrong martin_rudowicz Installation/Configuration 9 11th May 2008 19:42
subdomain and mail relay configuration aranthorn Installation/Configuration 24 3rd September 2007 22:53


All times are GMT +2. The time now is 16:58.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.